<template>
  <b-modal ref="checkImageModalRef" centered hide-footer @hide="hiddenFn" title="抓拍图片" size="md">
    <!-- <h5 class="font-weight-bolder pb-2">抓拍图片</h5> -->
    <div class="row">
      <div class="col-4 border-right flex-center">
        <div class="text-center">
          <httpImg :src="modalData.photo" height="100px" alt="底库图片"/>
          <h5 class="text-primary pt-3">{{modalData.pname?modalData.pname:''}}</h5>
          <p>{{modalData.onlinetime}}</p>
          <p>{{modalData.indevicename}}</p>
        </div>
      </div>
      <!-- 统计数据 -->
      <div class="col-8">
        <div class="text-center">
          <httpImgCopy :src="modalData.Snapshotpath" width="100%" size="332px" alt="抓拍图片"/>
        </div>
      </div>
    </div>
    <!-- <div class="pt-4 text-center">
      <b-btn class="pr30 pl30" variant="secondary" @click="hideModal">关闭</b-btn>
    </div>-->
  </b-modal>
</template>

<script>
import httpImgCopy from '@/components/common/httpImgCopy'
export default {
  name: 'CheckImageModal',
  components: {
    httpImgCopy
  },
  // props: {
  //   modalData: {
  //     default: null,
  //     type: Object
  //   }
  // },
  data() {
    return {
      modalData: {},
      yearValue: this.$moment().format('YYYY-MM'),
      calendarValue: this.$moment().format('DD'),

      dataLsit: [],
      recordInfoModal: false,
      tableList: [],
      repairModal: false,
      repairForm: {
        inTime: '',
        inDeviceName: '',
        outTime: '',
        outDeviceName: ''
      },
      rules: {
        inTime: [
          { required: true, message: '请选择末次时间', trigger: 'blur' }
        ],
        inDeviceName: [
          { required: true, message: '请选择首次位置', trigger: 'blur' }
        ],
        outTime: [
          { required: true, message: '请选择末次时间', trigger: 'blur' }
        ],
        outDeviceName: [
          { required: true, message: '请选择末次位置', trigger: 'blur' }
        ]
      }
    }
  },
  computed: {},
  methods: {
    showModal(data) {
      this.modalData = data
      console.log(data, '打开弹窗--data')
      this.$refs.checkImageModalRef.show()
    },
    hideModal() {
      this.$refs.checkImageModalRef.hide()
    },
    hiddenFn() {
      console.log('关闭主要弹窗')
    }
  }
}
</script>
<style>
@media (min-width: 992px) {
  .modal-lg {
    max-width: 100rem;
  }
}
.attendance-count-num {
  border-radius: 5px;
  margin-top: 10px;
  font-size: 30px;
  line-height: 50px;
  height: 60px;
}
.border-radius-25 {
  border-radius: 25px;
}
</style>
